"use strict";
exports.__esModule = true;
exports.increaseScore = exports.decreaseScore = exports.ALL_SCORES = void 0;
exports.ALL_SCORES = ['WRONG', 'HARD', 'GOOD', 'EASY'];
function decreaseScore(score, by) {
    if (by === void 0) { by = 1; }
    if (by > 1) {
        var updatedScore = score;
        for (var i = 0; i < by; i++) {
            updatedScore = decreaseScore(updatedScore);
        }
        return updatedScore;
    }
    switch (score) {
        case 'WRONG':
            return 'WRONG';
        case 'HARD':
            return 'WRONG';
        case 'GOOD':
            return 'HARD';
        case 'EASY':
            return 'GOOD';
        default:
            throw new Error("Invalid score: " + score);
    }
}
exports.decreaseScore = decreaseScore;
function increaseScore(score, by) {
    if (by === void 0) { by = 1; }
    if (by > 1) {
        var updatedScore = score;
        for (var i = 0; i < by; i++) {
            updatedScore = increaseScore(updatedScore);
        }
        return updatedScore;
    }
    switch (score) {
        case 'WRONG':
            return 'HARD';
        case 'HARD':
            return 'GOOD';
        case 'GOOD':
            return 'EASY';
        case 'EASY':
            return 'EASY';
        default:
            throw new Error("Invalid score: " + score);
    }
}
exports.increaseScore = increaseScore;
